import Vue from "vue";
import App from "./App.vue";
import router from "./router";
import store from "./store";
import ElementUI from 'element-ui'
import util from '@/util'
import '@/styles/index.scss';
import axios from 'axios'
import config from '@/config'
import api from './api';
import Cookie from 'js-cookie'

Vue.prototype.$themeId = 9
axios.get(config.host + api.detailsOfGoods + '?mallId=' + Cookie.get('admin-mallId'), {
	headers: {
		token: Cookie.get('admin-token')
	},
}).then(({ data }) => {
console.log(33, data.orderDetails.mall.themeId)
	const themeId = data.orderDetails.mall.themeId || 9
	Vue.prototype.$themeId = themeId
	// require(`@/styles/theme/theme${themeId}.scss`)

		if (themeId == 1) {
			import('@/styles/theme/theme1.scss')
		} else if (themeId == 2) {
			import('@/styles/theme/theme2.scss')
		} else if (themeId == 3) {
			import('@/styles/theme/theme3.scss')
		} else if (themeId == 4) {
			import('@/styles/theme/theme4.scss')
		} else if (themeId == 5) {
			import('@/styles/theme/theme5.scss')
		} else if (themeId == 6) {
			import('@/styles/theme/theme6.scss')
		} else if (themeId == 7) {
			import('@/styles/theme/theme7.scss')
		} else if (themeId == 8) {
			import('@/styles/theme/theme8.scss')
		} else if (themeId == 9) {
			import('@/styles/theme/theme9.scss')
		} else if (themeId == 10) {
			import('@/styles/theme/theme10.scss')
		}
}).catch(e => {})

import {
  post,
  get,
  del,
  put
} from './api/http';
import VueCodeMirror from "vue-codemirror";
import "codemirror/lib/codemirror.css";
import vuescroll from "vuescroll"; //引入vuescroll
import "vuescroll/dist/vuescroll.css"; //引入vuescroll样式
import VueDraggableResizable from 'vue-draggable-resizable'
import 'vue-draggable-resizable/dist/VueDraggableResizable.css'

Vue.component('vue-draggable-resizable', VueDraggableResizable)

Vue.use(ElementUI);
Vue.use(vuescroll); //使用
Vue.use(VueCodeMirror);

Vue.prototype.api = api
Vue.prototype.$get = get
Vue.prototype.$post = post
Vue.prototype.$del = del
Vue.prototype.$put = put

Vue.prototype.$config = config

Vue.config.productionTip = false;
const curriculumName = util.getCookie('curriculumName')
document.title = curriculumName ? unescape(curriculumName) : 'python'
router.beforeEach((to, from, next) => {
  next()
})

new Vue({
  router,
  store,
  render: h => h(App)
}).$mount("#app");